Package org.opensaml.saml.common.messaging.logic

# Class SignatureCapableBindingPredicate

java.lang.Object
org.opensaml.saml.common.messaging.logic.SignatureCapableBindingPredicate

All Implemented Interfaces:
  `Predicate<MessageContext>`

public class SignatureCapableBindingPredicate extends Object implements Predicate<MessageContext>
Predicate that determines whether the binding associated with a message context is signature-capable.

## Constructor Summary

Constructors
Constructor
Description
`SignatureCapableBindingPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### SignatureCapableBindingPredicate

public SignatureCapableBindingPredicate()

## Method Details

### test

public boolean test(@Nullable MessageContext input)

Specified by:
  `test` in interface `Predicate<MessageContext>`